﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataGridHeaderTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private ObservableCollection<SampleObject> MySource;
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Window_Loaded(object sender, RoutedEventArgs e)
		{
			MySource = new ObservableCollection<SampleObject>();
			//MySource.Add(new SampleObject() { Buying = 100, Selling = 250, Trading = 300 });
			//MySource.Add(new SampleObject() { Buying = 100, Selling = 250, Trading = 300 });
			//MySource.Add(new SampleObject() { Buying = 100, Selling = 250, Trading = 300 });
			myGrid.DataSource = MySource;
		}
	}

	public class SampleObject : INotifyPropertyChanged
	{
		private int buying;
		private int selling;
		private int trading;
		
		public int Buying	{ get { return buying; }	set { buying = value;	OnPropertyChanged(); } }
		public int Selling	{ get { return selling; }	set { selling = value;	OnPropertyChanged(); } }
		public int Trading	{ get { return trading; }	set { trading = value;	OnPropertyChanged(); } }

		public event PropertyChangedEventHandler PropertyChanged;

		internal protected void OnPropertyChanged([CallerMemberName] string propertyName = null)
		{
			if (PropertyChanged != null)
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}

	public class NTGrid : XamDataGrid {}
}
